import java.util.concurrent.Future;

import javax.ejb.AsyncResult;
import javax.ejb.Asynchronous;
import javax.ejb.Stateless;
import javax.inject.Inject;


@Stateless
public class StatlessService {

	@Inject
	public InjectedSingleton injectedSingleton;
	
	@Asynchronous
	public Future<Double> doYourThing(){
		return new AsyncResult<Double>(injectedSingleton.method());
	}
	
}
